commit:     fdcd9ebb6521d41c0b95602b559c81983695de64
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 14 15:46:24 2016 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Tue Jun 14 15:46:24 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdcd9ebb

net-libs/gnutls: version bump

Package-Manager: portage-2.2.28

 net-libs/gnutls/Manifest                       |   1 +
 net-libs/gnutls/files/gnutls-3.5.0-build.patch |  26 -----
 net-libs/gnutls/gnutls-3.5.1.ebuild            | 127 +++++++++++++++++++++++++
 3 files changed, 128 insertions(+), 26 deletions(-)

diff --git a/net-libs/gnutls/Manifest b/net-libs/gnutls/Manifest
index 11eb943..8f7713e 100644
--- a/net-libs/gnutls/Manifest
+++ b/net-libs/gnutls/Manifest
@@ -2,3 +2,4 @@ DIST gnutls-3.3.17.1.tar.xz 6339588 SHA256 
b40f158030a92f450a07b20300a3996710ca1
 DIST gnutls-3.3.23.tar.xz 6304332 SHA256 
f53453857e369d66d665c40389201c0b9dacb7ccda560fd21b20b798687a4239 SHA512 
5c2e93ddbff3ca2fc5f8fca8eeaef363bf8fe0f5dce2f4a9448e3235c930baa09d59a456a019283a451d19e0497d3ae645786080aa31febc7f1bcd71c6de1e09
 WHIRLPOOL 
fa082db1933eefc7e061dc7f7e6584d03920f40584865e2983250097db9acea0e6d0c075e8207a2e5b96e37ae77db2b91bcf21e97cc7dfdec0744904de4b5866
 DIST gnutls-3.4.13.tar.xz 6670508 SHA256 
fd3386e8e72725980bcd7f40949aa0121dcb7650b5147c6490e794555ed25859 SHA512 
bec4832560945ca127524a7b529757aa36b7eb9a070d7385f8e5d10628e39b76ae20c1c146fab286860c70add8755f17a4b61bfa1a266eeb30d481f259120406
 WHIRLPOOL 
aaee0a5b597305a2dab0064e9ef1fb1cf05f1f301de30601fa8a8c81f9c35f72c82df8c1c24e57c7f4beb132b4c50285f765ba998829ba7ab0681eadf7cfe7f7
 DIST gnutls-3.5.0.tar.xz 6716848 SHA256 
fc6b3b544d411e6ca54dd6167541770559070ea15e6868946cf56a621d58ae25 SHA512 
0b53b8084972e9b47e71c47ca9a42d0413c781641f4da640a1016aa0c1a736863a57eadbd9bb81248d3fdf723796edbb1424b14f9846b2300ad7650925f2ac27
 WHIRLPOOL 
0f1b3e07f94f101b004ecb1024424a10826d32bab0168076e412cd8d3881af8d77b440395b1811a910188d950ed71a2eb13e87dae029ee4c8c461a3d71077ba3
+DIST gnutls-3.5.1.tar.xz 6799264 SHA256 
bc4a0f80a627c3aca6e7ea59d30e50cda118c61e0e3fab367ff1451d6ec8bdbd SHA512 
d59d0a7624a2783645d217a2f6955e8a5e67eea4a9bc682b101cf939f7b623f046b381bc12ae0bae08c17031e4bd178e615afbe2cdde3914433b8d829c353e14
 WHIRLPOOL 
1ce587c664896115a0b8f4d8bfadb562738b85db15dc592d049c89a10c1386ec2ec73f7bc94a7291188e590cd862419a15dac8ac37670629998231216a2450ce

diff --git a/net-libs/gnutls/files/gnutls-3.5.0-build.patch 
b/net-libs/gnutls/files/gnutls-3.5.0-build.patch
deleted file mode 100644
index 3e0ca33..0000000
--- a/net-libs/gnutls/files/gnutls-3.5.0-build.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-diff --git a/extra/openssl_compat.c b/extra/openssl_compat.c
-index 399df90..4cee4cd 100644
---- a/extra/openssl_compat.c
-+++ b/extra/openssl_compat.c
-@@ -26,8 +26,6 @@
- 
- #include "gnutls_int.h"
- 
--#include <gnutls_global.h>
--#include <gnutls_errors.h>
- #include <string.h>           /* memset */
- #include <x509/x509_int.h>
- #include <libtasn1.h>
-diff --git a/tests/windows/cng-windows.c b/tests/windows/cng-windows.c
-index f435afb..e92f7b0 100644
---- a/tests/windows/cng-windows.c
-+++ b/tests/windows/cng-windows.c
-@@ -31,6 +31,8 @@
- 
- #ifndef _WIN32
- 
-+#include <stdlib.h>
-+
- void doit()
- {
-       exit(77);

diff --git a/net-libs/gnutls/gnutls-3.5.1.ebuild 
b/net-libs/gnutls/gnutls-3.5.1.ebuild
new file mode 100644
index 0000000..efe6884
--- /dev/null
+++ b/net-libs/gnutls/gnutls-3.5.1.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools libtool eutils multilib-minimal versionator
+
+DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
+HOMEPAGE="http://www.gnutls.org/";
+SRC_URI="mirror://gnupg/gnutls/v$(get_version_component_range 1-2)/${P}.tar.xz"
+
+# LGPL-3 for libgnutls library and GPL-3 for libgnutls-extra library.
+# soon to be relicensed as LGPL-2.1 unless heartbeat extension enabled.
+LICENSE="GPL-3 LGPL-3"
+SLOT="0/30" # libgnutls.so number
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~x86-solaris"
+IUSE_LINGUAS=" en cs de fi fr it ms nl pl sv uk vi zh_CN"
+IUSE="+cxx dane doc examples guile nls +openssl pkcs11 static-libs test +tools 
zlib ${IUSE_LINGUAS// / linguas_}"
+# heartbeat support is not disabled until re-licensing happens fullyf
+
+# NOTICE: sys-devel/autogen is required at runtime as we
+# use system libopts
+RDEPEND=">=dev-libs/libtasn1-4.3[${MULTILIB_USEDEP}]
+       >=dev-libs/nettle-3.1:=[gmp,${MULTILIB_USEDEP}]
+       >=dev-libs/gmp-5.1.3-r1[${MULTILIB_USEDEP}]
+       tools? ( sys-devel/autogen )
+       dane? ( >=net-dns/unbound-1.4.20[${MULTILIB_USEDEP}] )
+       guile? ( >=dev-scheme/guile-1.8:*[networking] )
+       nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )
+       pkcs11? ( >=app-crypt/p11-kit-0.23.1[${MULTILIB_USEDEP}] )
+       zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+       abi_x86_32? (
+               !<=app-emulation/emul-linux-x86-baselibs-20140508
+               !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+       )"
+DEPEND="${RDEPEND}
+       >=sys-devel/automake-1.11.6
+       >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+       doc? (
+               sys-apps/texinfo
+               dev-util/gtk-doc
+       )
+       nls? ( sys-devel/gettext )
+       test? ( app-misc/datefudge )"
+
+pkg_setup() {
+       # bug#520818
+       export TZ=UTC
+}
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e 's/imagesdir = $(infodir)/imagesdir = $(htmldir)/' \
+               doc/Makefile.am || die
+
+       # force regeneration of autogen-ed files
+       local file
+       for file in $(grep -l AutoGen-ed src/*.c) ; do
+               rm src/$(basename ${file} .c).{c,h} || die
+       done
+
+       # force regeneration of makeinfo files
+       # have no idea why on some system these files are not
+       # accepted as-is, see bug#520818
+       for file in $(grep -l "produced by makeinfo" doc/*.info) ; do
+               rm "${file}" || die
+       done
+
+       eautoreconf
+
+       # Use sane .so versioning on FreeBSD.
+       elibtoolize
+
+       # bug 497472
+       use cxx || epunt_cxx
+}
+
+multilib_src_configure() {
+       LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
+
+       # TPM needs to be tested before being enabled
+       # hardware-accell is disabled on OSX because the asm files force
+       #   GNU-stack (as doesn't support that) and when that's removed ld
+       #   complains about duplicate symbols
+       ECONF_SOURCE=${S} \
+       econf \
+               --disable-valgrind-tests \
+               --without-included-libtasn1 \
+               --enable-heartbeat-support \
+               $(use_enable cxx) \
+               $(use_enable dane libdane) \
+               $(multilib_native_enable manpages) \
+               $(multilib_native_use_enable tools) \
+               $(multilib_native_use_enable doc) \
+               $(multilib_native_use_enable doc gtk-doc) \
+               $(multilib_native_use_enable guile) \
+               $(multilib_native_use_enable test tests) \
+               $(use_enable nls) \
+               $(use_enable openssl openssl-compatibility) \
+               $(use_enable static-libs static) \
+               $(use_with pkcs11 p11-kit) \
+               $(use_with zlib) \
+               --without-tpm \
+               --with-unbound-root-key-file=/etc/dnssec/root-anchors.txt \
+               $([[ ${CHOST} == *-darwin* ]] && echo 
--disable-hardware-acceleration)
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       prune_libtool_files --all
+
+       dodoc doc/certtool.cfg
+
+       if use doc; then
+               dohtml doc/gnutls.html
+       else
+               rm -fr "${ED}/usr/share/doc/${PF}/html"
+       fi
+
+       if use examples; then
+               docinto examples
+               dodoc doc/examples/*.c
+       fi
+}

Reply via email to